# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.


DETECT_SYSTEM3_RESULT = [('system', 'product', 'serial', 'Empty'),
                         ('system', 'product', 'name', 'S2915'),
                         ('system', 'product', 'vendor',
                          'Tyan Computer Corporation'),
                         ('system', 'product', 'version', 'REFERENCE'),
                         ('system', 'product', 'uuid',
                          '83462C81-52BA-11CB-870F'),
                         ('system', 'motherboard', 'name', 'S2915'),
                         ('system', 'motherboard', 'vendor',
                          'Tyan Computer Corporation'),
                         ('system', 'motherboard', 'version', 'REFERENCE'),
                         ('system', 'motherboard', 'serial', 'Empty'),
                         ('firmware', 'bios', 'version',
                          'v3.00.2915 (10/10/2008)'),
                         ('firmware', 'bios', 'vendor',
                          'Phoenix Technologies Ltd.'),
                         ('memory', 'total', 'size', '4294967296'),
                         ('memory', 'bank:0:0', 'description',
                          'DIMM Synchronous [empty]'),
                         ('memory', 'bank:0:0', 'slot', 'C0_DIMM0'),
                         ('memory', 'bank:0:1', 'description',
                          'DIMM Synchronous [empty]'),
                         ('memory', 'bank:0:1', 'slot', 'C0_DIMM1'),
                         ('memory', 'bank:0:2', 'size', '1073741824'),
                         ('memory', 'bank:0:2', 'description',
                          'DIMM Synchronous'),
                         ('memory', 'bank:0:2', 'slot', 'C0_DIMM2'),
                         ('memory', 'bank:0:3', 'size', '1073741824'),
                         ('memory', 'bank:0:3', 'description',
                          'DIMM Synchronous'),
                         ('memory', 'bank:0:3', 'slot', 'C0_DIMM3'),
                         ('memory', 'bank:0:4', 'description',
                          'DIMM Synchronous [empty]'),
                         ('memory', 'bank:0:4', 'slot', 'C0_DIMM0'),
                         ('memory', 'bank:0:5', 'description',
                          'DIMM Synchronous [empty]'),
                         ('memory', 'bank:0:5', 'slot', 'C1_DIMM1'),
                         ('memory', 'bank:0:6', 'size', '1073741824'),
                         ('memory', 'bank:0:6', 'description',
                          'DIMM Synchronous'),
                         ('memory', 'bank:0:6', 'slot', 'C1_DIMM2'),
                         ('memory', 'bank:0:7', 'size', '1073741824'),
                         ('memory', 'bank:0:7', 'description',
                          'DIMM Synchronous'),
                         ('memory', 'bank:0:7', 'slot', 'C1_DIMM3'),
                         ('memory', 'banks', 'count', '8'),
                         ('system', 'os', 'vendor', 'Ubuntu'),
                         ('system', 'os', 'version', 'Ubuntu 14.04 LTS'),
                         ('system', 'kernel', 'version', '3.13.0-24-generic'),
                         ('system', 'kernel', 'arch', 'x86_64'),
                         ('system', 'kernel', 'cmdline',
                          'BOOT_IMAGE=/boot/vmlinuz')]


DETECT_SYSTEM2_RESULT = [('system', 'product', 'serial', 'PB4F20N'),
                         ('system', 'product', 'name',
                          '2347GF8 (LENOVO_MT_2347)'),
                         ('system', 'product', 'vendor', 'LENOVO'),
                         ('system', 'product', 'version', 'ThinkPad T430'),
                         ('system', 'product', 'uuid',
                          '83462C81-52BA-11CB-870F'),
                         ('system', 'motherboard', 'name', '2347GF8'),
                         ('system', 'motherboard', 'vendor', 'LENOVO'),
                         ('system', 'motherboard', 'version', 'Not Defined'),
                         ('system', 'motherboard', 'serial', '1ZLMB31B1G6'),
                         ('firmware', 'bios', 'version', 'G1ET73WW (2.09 )'),
                         ('firmware', 'bios', 'date', '10/19/2012'),
                         ('firmware', 'bios', 'vendor', 'LENOVO'),
                         ('memory', 'total', 'size', '8589934592'),
                         ('memory', 'bank:0', 'size', '4294967296'),
                         ('memory', 'bank:0', 'clock', '1600000000'),
                         ('memory', 'bank:0', 'description',
                         'SODIMM DDR3 Synchrone 1600 MHz (0,6 ns)'),
                         ('memory', 'bank:0', 'vendor', 'Samsung'),
                         ('memory', 'bank:0', 'product', 'M471B5273CH0-CK0'),
                         ('memory', 'bank:0', 'serial', '1222BCCE'),
                         ('memory', 'bank:0', 'slot', 'ChannelA-DIMM0'),
                         ('memory', 'bank:1', 'size', '4294967296'),
                         ('memory', 'bank:1', 'clock', '1600000000'),
                         ('memory', 'bank:1', 'description',
                         'SODIMM DDR3 Synchrone 1600 MHz (0,6 ns)'),
                         ('memory', 'bank:1', 'vendor', 'Samsung'),
                         ('memory', 'bank:1', 'product', 'M471B5273CH0-CK0'),
                         ('memory', 'bank:1', 'serial', '1222BCA2'),
                         ('memory', 'bank:1', 'slot', 'ChannelB-DIMM0'),
                         ('memory', 'banks', 'count', '2'),
                         ('network', 'eth0', 'businfo', 'pci@0000:00:19.0'),
                         ('network', 'eth0', 'vendor', 'Intel Corporation'),
                         ('network', 'eth0', 'product',
                         '82579LM Gigabit Network Connection'),
                         ('network', 'eth0', 'firmware', '0.13-3'),
                         ('network', 'eth0', 'link', 'no'),
                         ('network', 'eth0', 'driver', 'e1000e'),
                         ('network', 'eth0', 'latency', '0'),
                         ('network', 'eth0', 'autonegotiation', 'on'),
                         ('network', 'eth0', 'serial', '00:21:cc:d9:bf:26'),
                         ('network', 'wlan0', 'businfo', 'pci@0000:03:00.0'),
                         ('network', 'wlan0', 'vendor', 'Intel Corporation'),
                         ('network', 'wlan0', 'product',
                         'Centrino Advanced-N 6205 [Taylor Peak]'),
                         ('network', 'wlan0', 'firmware', '18.168.6.1'),
                         ('network', 'wlan0', 'ipv4', '192.168.1.185'),
                         ('network', 'wlan0', 'ipv4-netmask', '255.255.255.0'),
                         ('network', 'wlan0', 'ipv4-cidr', '24'),
                         ('network', 'wlan0', 'ipv4-network', '192.168.1.0'),
                         ('network', 'wlan0', 'link', 'yes'),
                         ('network', 'wlan0', 'driver', 'iwlwifi'),
                         ('network', 'wlan0', 'latency', '0'),
                         ('network', 'wlan0', 'serial', '84:3a:4b:33:62:82'),
                         ('network', 'wwan0', 'firmware',
                         'Mobile Broadband Network Device'),
                         ('network', 'wwan0', 'link', 'no'),
                         ('network', 'wwan0', 'driver', 'cdc_ncm'),
                         ('network', 'wwan0', 'serial', '02:15:e0:ec:01:00'),
                         ('system', 'os', 'vendor', 'Ubuntu'),
                         ('system', 'os', 'version', 'Ubuntu 14.04 LTS'),
                         ('system', 'kernel', 'version', '3.13.0-24-generic'),
                         ('system', 'kernel', 'arch', 'x86_64'),
                         ('system', 'kernel', 'cmdline',
                          'BOOT_IMAGE=/boot/vmlinuz')]


DETECT_SYSTEM_RESULT = [('system', 'product', 'serial', 'C02JR02WF57J'),
                        ('system', 'product', 'name',
                         'MacBookAir5,2 (System SKU#)'),
                        ('system', 'product', 'vendor', 'Apple Inc.'),
                        ('system', 'product', 'version', '1.0'),
                        ('system', 'product', 'uuid',
                         '83462C81-52BA-11CB-870F'),
                        ('system', 'motherboard', 'name',
                         'Mac-2E6FAB96566FE58C'),
                        ('system', 'motherboard', 'vendor', 'Apple Inc.'),
                        ('system', 'motherboard', 'version', 'MacBookAir5,2'),
                        ('system', 'motherboard', 'serial',
                         'C02245301ZFF25WAT'),
                        ('firmware', 'bios', 'version',
                         'MBA51.88Z.00EF.B01.1207271122'),
                        ('firmware', 'bios', 'date', '07/27/2012'),
                        ('firmware', 'bios', 'vendor', 'Apple Inc.'),
                        ('memory', 'total', 'size', '8589934592'),
                        ('memory', 'bank:0', 'size', '4294967296'),
                        ('memory', 'bank:0', 'clock', '1600000000'),
                        ('memory', 'bank:0', 'description',
                        'SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)'),
                        ('memory', 'bank:0', 'vendor',
                        'Hynix Semiconductor (Hyundai Electronics)'),
                        ('memory', 'bank:0', 'product', 'HMT451S6MFR8A-PB'),
                        ('memory', 'bank:0', 'serial', '0x00000000'),
                        ('memory', 'bank:0', 'slot', 'DIMM0'),
                        ('memory', 'bank:1', 'size', '4294967296'),
                        ('memory', 'bank:1', 'clock', '1600000000'),
                        ('memory', 'bank:1', 'description',
                        'SODIMM DDR3 Synchronous 1600 MHz (0,6 ns)'),
                        ('memory', 'bank:1', 'vendor',
                        'Hynix Semiconductor (Hyundai Electronics)'),
                        ('memory', 'bank:1', 'product', 'HMT451S6MFR8A-PB'),
                        ('memory', 'bank:1', 'serial', '0x00000000'),
                        ('memory', 'bank:1', 'slot', 'DIMM0'),
                        ('memory', 'banks', 'count', '2'),
                        ('network', 'vnet0', 'size', '10000000'),
                        ('network', 'vnet0', 'link', 'yes'),
                        ('network', 'vnet0', 'driver', 'tun'),
                        ('network', 'vnet0', 'duplex', 'full'),
                        ('network', 'vnet0', 'speed', '10Mbit/s'),
                        ('network', 'vnet0', 'autonegotiation', 'off'),
                        ('network', 'vnet0', 'serial', 'fe:54:00:c1:1a:f7'),
                        ('network', 'tap0', 'size', '10000000'),
                        ('network', 'tap0', 'ipv4', '10.152.18.103'),
                        ('network', 'tap0', 'ipv4-netmask', '255.255.255.0'),
                        ('network', 'tap0', 'ipv4-cidr', '24'),
                        ('network', 'tap0', 'ipv4-network', '10.152.18.0'),
                        ('network', 'tap0', 'link', 'yes'),
                        ('network', 'tap0', 'driver', 'tun'),
                        ('network', 'tap0', 'duplex', 'full'),
                        ('network', 'tap0', 'speed', '10Mbit/s'),
                        ('network', 'tap0', 'autonegotiation', 'off'),
                        ('network', 'tap0', 'serial', 'e2:66:69:22:be:fb'),
                        ('network', 'wlan0', 'firmware', 'N/A'),
                        ('network', 'wlan0', 'ipv4', '192.168.12.13'),
                        ('network', 'wlan0', 'ipv4-netmask', '255.255.255.0'),
                        ('network', 'wlan0', 'ipv4-cidr', '24'),
                        ('network', 'wlan0', 'ipv4-network', '192.168.12.0'),
                        ('network', 'wlan0', 'link', 'yes'),
                        ('network', 'wlan0', 'driver', 'brcmsmac'),
                        ('network', 'wlan0', 'serial', '00:88:65:35:2b:50'),
                        ('system', 'os', 'vendor', 'Ubuntu'),
                        ('system', 'os', 'version', 'Ubuntu 14.04 LTS'),
                        ('system', 'kernel', 'version', '3.13.0-24-generic'),
                        ('system', 'kernel', 'arch', 'x86_64'),
                        ('system', 'kernel', 'cmdline',
                         'BOOT_IMAGE=/boot/vmlinuz')]
